import pygame,sys
import quoyle.map
from pygame.locals import *

# 画像を読み込む
def image_load(filename):
    try:
        image = pygame.image.load(filename)
    except pygame.error:
        print("Cannot load image:" % filename)
        raise SystemExit
    image = image.convert()
    return image


def split_image_load(image, frame_x, frame_y):
    # 画像のサイズ判定。
    size_x = image.get_width()
    size_y = image.get_height()

    imageList = []

    for j in range(0, size_y, frame_y):
        for i in range(0, size_x, frame_x):
            surface = pygame.Surface((frame_x, frame_y))
            surface.blit(image, (0, 0), (i, j, frame_x, frame_y))
            surface.set_colorkey(surface.get_at((0, 0)), RLEACCEL)
            surface.convert(surface)
            imageList.append(surface)

    return imageList

def main():
    map = quoyle.map.data("hello.map")
    width = map.MAP_W * map.CHIP_W
    height = map.MAP_H * map.CHIP_H
    pygame.init()
    screen = pygame.display.set_mode((width,height))
    image = image_load("chp_mode_test.bmp")
    imageList = split_image_load(image,16,16)
    map_data = map.data_load()
    while True:
        for y in range(map.MAP_H):
            for x in range(map.MAP_W):
                screen.blit(imageList[map_data[y][x]],(x*16,y*16))

        for event in pygame.event.get():
            if event.type == QUIT:  # 閉じるボタンが押されたら終了
                pygame.quit()  # Pygameの終了(画面閉じられる)
                sys.exit()

if __name__ == '__main__':
    main()